Change a Job Order

Updates an existing job order in the system, including assigning workers to a job order that has been automatically cancelled by the system due to a timeout.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int32

The internal identifier for the job this order will be associated to.

int32

The internal identifier for the instance of the job for this job order.

string

The external order identifier, which is customer’s internally used ID. If specified and sent, it will take priority over job_id and job_instance parameters.

string

The last date that the sessions should be created for (the start date will be submitted as part of the attrib_list). The format should be “YYYYMMDD” and it must be in UTC based on the request Start Time. For example, if the user submits a request from the Eastern Time Zone, which is 5 hours behind UTC time, and they pick a start time of 9:00 PM with an end date of 4/25/2024, the end_date sent over should be 4/26/2024, as 9:00 PM 4/25/2024 in Eastern Time is actually 2:00 AM 4/26/2024 UTC).

day_list
array of int32s

A list of days of the week that the job order sessions should be created on within the given date range. The values allowed are: 0 for Sunday, 1 for Monday, 2 for Tuesday, 3 for Wednesday, 4 for Thursday, 5 for Friday, 6 for Saturday.

day_list
int32

The number of workers that are requested for the job offer. This is only applicable for a job with bundled = true. This should represent the total workers that are requested for the entire job order, even before the change occurred. For example, if 10 workers were initially requested, 5 have been assigned, and 10 additional workers are being requested now, the worker_count would be updated to 20. Out of these 20, 15 workers will be offered or assigned with this new version of the job order.

provider_list
array of int32s

A list of workers that have been chosen by the requester to send the job offer to. This should be a list of provider_ids (for example, [4,7,10,3]). This will only be used if the job order is actually changing. If there are new assignments to the job order, this will not be used, as the offer list cannot be changed.

provider_list
worker_assignments
object

A list of dictionaries that will list all workers to be assigned to this job order along with any different start date (sent in attributes), end date, day list, and/or attributes. Only those items that are different should be supplied. Anything not supplied will use the job order base values. In addition, the attribute staff_provider_list will be ignored as an assignment attribute - this parameter is the only way to assign workers to the job order in this endpoint. All assignments will occur based on the new version of the job order after the changes have been applied (if any). The dictionary for each assignment should be structured as follows.

attrib_list
array of objects

A list of attributes being changed.

attrib_list
Headers
string
required
Defaults to Token <place token here>

The authorization token returned from the Log In endpoint.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json